# Mandant registrieren

`POST https://{tenant}.stamp.eu/rest/register`

Register a new tenant with a 6-week trial period.
The tenant is inactive until the email is verified

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `company_name` | string | ja |
| `subdomain` | string | ja |
| `email` | string | ja |
| `admin_code` | string | ja |
| `admin_password` | string | ja |
| `admin_name` | string \| null | nein |
| `admin_surname` | string \| null | nein |
| `timezone` | string | nein |
| `partner_code` | string \| null | nein |
| `turnstile_token` | string | ja |
| `admin_password_confirmation` | string | ja |

## Antworten

### 201

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `message` | string | ja |
| `subdomain` | string | ja |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
